
/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "ui_export_spreadsheet_dialog.h"
#include "exportspreadsheetdialog.h"
#include <QDebug>
#include <QSettings>

ExportSpreadsheetDialog::ExportSpreadsheetDialog(QWidget * parent):
    QDialog(parent),
    ui(new Ui::ExportSpreadsheetDialog)
{
    qDebug() << "ExportSpreadsheetDialog::ExportSpreadsheetDialog begin";
    ui->setupUi(this);
    this->setModal(true);


    
    QSettings settings;
    ui->simple_checkbox->setCheckState(Qt::Unchecked);
    if (settings.value("export_ods/simple", "true").toBool()) {
        ui->simple_checkbox->setCheckState(Qt::Checked);
    }
    ui->protein_checkbox->setCheckState(Qt::Unchecked);
    if (settings.value("export_ods/proteins", "true").toBool()) {
        ui->protein_checkbox->setCheckState(Qt::Checked);
    }
    ui->peptide_checkbox->setCheckState(Qt::Unchecked);
    if (settings.value("export_ods/peptides", "true").toBool()) {
        ui->peptide_checkbox->setCheckState(Qt::Checked);
    }
    ui->spectra_checkbox->setCheckState(Qt::Unchecked);
    if (settings.value("export_ods/spectra", "true").toBool()) {
        ui->spectra_checkbox->setCheckState(Qt::Checked);
    }
    ui->peptidepos_checkbox->setCheckState(Qt::Unchecked);
    if (settings.value("export_ods/peptidepos", "true").toBool()) {
        ui->peptidepos_checkbox->setCheckState(Qt::Checked);
    }
    //param.setFilterCrossSamplePeptideNumber(settings.value("automatic_filter/cross_sample", "true").toBool());
    
#if QT_VERSION >= 0x050000
    // Qt5 code
    /*
    connect(&workerThread, &QThread::finished, worker, &QObject::deleteLater);
    connect(this, &PtSpectrumViewer::operateMsDataFile, worker, &PwizLoaderThread::doMsDataFileLoad);
    connect(worker, &PwizLoaderThread::msDataReady, this, &PtSpectrumViewer::handleMsDataFile);
    */
#else
// Qt4 code

#endif

    qDebug() << "ExportSpreadsheetDialog::ExportSpreadsheetDialog end";
}

ExportSpreadsheetDialog::~ExportSpreadsheetDialog()
{
    delete ui;
}

void ExportSpreadsheetDialog::doSimpleProteinPeptideList(bool simple) {
    
    QSettings settings;
    settings.setValue("export_ods/simple", QString("%1").arg(simple));
}

void ExportSpreadsheetDialog::doProteinList(bool simple) {
    
    QSettings settings;
    settings.setValue("export_ods/proteins", QString("%1").arg(simple));
}
